PDA

View Full Version : still cant fix the problem


devilbladz
01-02-2005, 09:59 PM
I gotta get this css server up the person impation :(
freebsd linux emulator

./srcds_run -game cstrike -port 3000 +ip 65.110.36.137 +exec cfg/server.cfg +maxplayers 20 +map de_dust


Auto detecting CPU
Using default binary.
Auto-restarting the server on crash
Thu Dec 30 12:54:29 PST 2004: Server Quit

|)evil bladz
ambientservers.net (counter-strike)

TripHammer
01-02-2005, 11:40 PM
What architecture are you running?

devilbladz
01-03-2005, 12:31 AM
how do u find that out?

aXeR
01-03-2005, 02:11 AM
what type of CPU does your server use?

cgehring
01-03-2005, 07:14 AM
Please forgive devil... this is his third attempt to get help on this one. I'm in the same boat though and get the exact same error he does. We are both desperate for answers.

Please look at the previous threads for all the details:

http://forums.steampowered.com/forums/showthread.php?s=&threadid=218618

http://forums.steampowered.com/forums/showthread.php?s=&threadid=219051

Thanks to anyone that spends some time looking at this... and Happy New Year!

cgehring
01-03-2005, 09:42 PM
Devil,

I am still working on this one, and I think I am getting close. Evidently, the new version of CS:S requires the linux 8 compatibility libraries. To make matters worse, while the linux 8 compatibility modules will load, it seems that they do not fix the problem if you are running 4.xx of FreeBSD.

You can check your FreeBSD version by typing:
uname -a

Tha output should look something like this:
my-server2# uname -a
FreeBSD my-server2.mydomain.com 4.11-PRERELEASE FreeBSD 4.11-PRERELEASE #1: Sat Dec 11 21:45:36 EST 2004 my-server2.mydomain.com:/usr/obj/usr/src/sys/CUSTOM_KERNEL i386

From this you can see I am currently running 4.11. You can check your linux compatibility modules using this command:
my-server2# pkg_info |grep linux
linux_base-8-8.0_4 Base set of packages needed in Linux mode (only for i386)

I am currently in the process of upgrading a test server to 5.3 to see if that helps. I found a post using google on a FreeBSD newsgroup and others are having the same problem. Seems to be a combination of the gcc, gdb, and linux libraries.

So far, the only sucess I have seen is on FreeBSD 5.x with linux 8 modules.

I will let you know how it goes (compiling source now).

Hang in there!

cgehring
01-03-2005, 11:50 PM
Well, I got good news and bad news.

I upgraded FreeBSD to 5.3 and CS:S runs like a champ... woohoo!!!!

Bad news is my UT2004 DS died. Oh well.. ever forward!

If someone is able to get CS:S running on FreeBSD 4.x, please enlighten the rest of us.

Thanks!